/* Import Google font - Poppins */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');


* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Open Sans", sans-serif;
}

/*body {
  background-image: url('https://actualicese.com/wp-content/themes/actualicese2023/images/chatbot.jpg');
  background-repeat: no-repeat;
  background-size: cover;
}*/

.act_container_chatbot {
  position: relative;
  z-index: 9999;
}

/* Show/Hide chatbox button */
.chatbot-toggler {
  position: fixed;
  bottom: 20px;
  right: 35px;
  outline: none;
  border: none;
  height: 4rem;
  width: 4rem;
  display: flex;
  cursor: pointer;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  background: linear-gradient(138deg, rgba(190, 255, 94, 1) 26%, rgba(149, 205, 66, 1) 93%);
  transition: all 0.3s ease;
  filter: drop-shadow(1px 2px 3px hsl(220deg 60% 50% / 0.2)) drop-shadow(2px 4px 6px hsl(220deg 60% 50% / 0.2)) drop-shadow(4px 8px 12px hsl(220deg 60% 50% / 0.2));
}

body.show-chatbot .chatbot-toggler {
  transform: rotate(90deg);
}

.chatbot-toggler span {
  color: #000;
  position: absolute;
  font-size: 1.2rem;
}

.chatbot-toggler span:last-child,
body.show-chatbot .chatbot-toggler span:first-child {
  opacity: 0;
}

.chatbot-toggler span .fa-comments {
  font-size: 1.5rem;
  color: #5266fb;
}

body.show-chatbot .chatbot-toggler span:last-child {
  opacity: 1;
}

/* Chat box */
.chatbot {
  position: fixed;
  right: 35px;
  bottom: 90px;
  width: 420px;
  background: #fff;
  border-radius: 15px;
  overflow: hidden;
  opacity: 0;
  pointer-events: none;
  transform: scale(0.5);
  transform-origin: bottom right;
  box-shadow: 0 0 128px 0 rgba(0, 0, 0, 0.1), 0 32px 64px -48px rgba(0, 0, 0, 0.5);
  transition: all 0.1s ease;
}

body.show-chatbot .chatbot {
  opacity: 1;
  pointer-events: auto;
  transform: scale(1);
}


/* Chat box title */
.chatbot header {
  padding: 16px 0;
  position: relative;
  text-align: center;
  color: #fff;
  background: rgb(70, 102, 255);
  background: linear-gradient(138deg, rgba(70, 102, 255, 1) 26%, rgba(69, 92, 209, 1) 93%);
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}

.chatbot header span {
  position: absolute;
  right: 15px;
  top: 50%;
  display: none;
  cursor: pointer;
  transform: translateY(-50%);
  font-size: 1.4rem;
}

.show-chatbot .chatbot header span {
  display: initial;
}

#body_2023 header h2 {
  font-size: 1.5rem !important;
  margin-bottom: 0px;
}

/* Conversation box */
.chatbot .chatbox {
  overflow-y: auto;
  height: 450px;
  padding: 30px 20px 100px;
}

.chatbot :where(.chatbox, textarea)::-webkit-scrollbar {
  width: 8px;
}

.chatbot :where(.chatbox, textarea)::-webkit-scrollbar-track {
  background: #fff;
  border-radius: 25px;
}

.chatbot :where(.chatbox, textarea)::-webkit-scrollbar-thumb {
  background: #ccc;
  border-radius: 25px;
}

.chatbox .chat {
  display: flex;
  list-style: none;
}

.chatbox .outgoing {
  margin: 20px 0;
  justify-content: flex-end;
}

.chatbox .incoming span.chat-logo {
  width: 32px;
  height: 32px;
  color: #fff;
  cursor: default;
  text-align: center;
  line-height: 32px;
  align-self: flex-end;
  background: transparent;
  border-radius: 4px;
  margin: 0 10px 7px 0;
}

.chatbox .incoming span .chat-icon {
  width: 36px;
}

.chatbox .chat div {
  white-space: pre-wrap;
  padding: 12px 16px;
  border-radius: 10px 10px 0 10px;
  max-width: 75%;
  color: #000;
  font-size: 0.90rem;
  background: #BEFF5E;
  line-height: 20px;
}

.chatbox .chat div li {
  margin-left: 1rem;
}

.chatbox .chat div * {
  margin-bottom: 0;
}

.chatbox .incoming div {
  border-radius: 10px 10px 10px 0;
}

.chatbox .chat div.error {
  color: #721c24;
  background: #f8d7da;
}

.chatbox .incoming div {
  background: rgb(70 102 255 / 15%);
  color: #000000;
}

.chatbox .chat div.disabled-chat {
  color: #72551c;
  background: #f8eed7;
}

/* Message input */
.chatbot .chat-input {
  display: flex;
  gap: 5px;
  position: absolute;
  bottom: 0;
  width: 100%;
  background: #fff;
  padding: 3px 20px;
  border-top: 1px solid #ddd;
}

.chat-input textarea {
  height: 60px;
  width: 100%;
  border: none;
  outline: none;
  resize: none;
  max-height: 150px;
  padding: 15px 15px 15px 0;
  font-size: 0.95rem;
}

.chat-input span {
  align-self: flex-end;
  color: rgb(70, 102, 255);
  cursor: pointer;
  height: 55px;
  display: flex;
  align-items: center;
  visibility: hidden;
  font-size: 1.35rem;
}

.chat-input textarea:valid~span {
  visibility: visible;
}

.cb_left_tpl .chatbot-toggler,
.cb_left_tpl .chatbot{
  left: 35px;
}

.cta_chatbot{
  display: flex;
  align-content: flex-start;
  align-items: center;
  justify-content: center;
}

/* .cta_chatbot::before{
  content: '';
  background-image: url(https://actualicese.com/wp-content/themes/actualicese2023/images/mano-megafono.png);
  display: inline-flex;
  height: 400px;
  width: 400px;
  background-repeat: no-repeat;
  justify-content: space-evenly;
  align-items: center;
  background-size: contain;
  background-position: center;
} */

#single_content .cta_chatbot a.btn_cta_chatbot,
.cta_chatbot a.btn_cta_chatbot{
  background-color: #BEFF5E;
  color: #000 !important;
  padding: 2px 28px;
  border-radius: 7px;
  width: auto;
  margin: 12px auto 0px auto;
  text-align: center;
  box-shadow: 0px 0px 12px #cacaca;
}
.label_chatbot{
  width: 100%;
  display: inline-flex;
  padding: 26px;
  flex-direction: column;
  background: #f5f5f5;
  text-align: center;
  border-radius: 15px 15px 15px 0px;
}
#single_content .cta_chatbot a.btn_cta_chatbot::first-letter,
.cta_chatbot a.btn_cta_chatbot::first-letter{
  text-transform: uppercase;
}


/* Loading animation style */
@keyframes cyclicColorChange {
  0% {
    color: #404040;
  }

  50% {
    color: #BEBEBE;
  }

  100% {
    color: #404040;
  }
}

.loading-thinking {
  animation: cyclicColorChange 2s infinite;
}


/* Styles for small screens */
@media (max-width: 490px) {
  .chatbot-toggler {
    right: 20px;
    bottom: 20px;
  }

  .chatbot {
    right: 0;
    bottom: 0;
    height: 100%;
    border-radius: 0;
    width: 100%;
  }

  .chatbot .chatbox {
    height: 90%;
    padding: 25px 15px 100px;
  }

  .chatbot .chat-input {
    padding: 5px 15px;
  }

  .chatbot header span {
    display: block;
  }
  .cb_left_tpl .chatbot{
    left: 0px;
  }
}